Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class RegisterApp

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.AppData
                  |
                  +--com.jxml.qare.qhome.register.RegisterAppDataBase
                        |
                        +--com.jxml.qare.qhome.register.RegisterApp

All Implemented Interfaces:
  Item

public final class RegisterApp
extends RegisterAppDataBase

Field Summary
`boolean` | `installed`
`String` | `name`

Fields inherited from class com.jxml.qare.qhome.AppData
`appDataRow`

Constructor Summary
`RegisterApp()`
`RegisterApp(String name)`
`RegisterApp(String name, boolean installed)`

Methods inherited from class com.jxml.qare.qhome.register.RegisterAppDataBase
`getAppDataFactory`

Methods inherited from class com.jxml.qare.qhome.AppData
`dbAdd, dbAdd, dbAddRoot, dbDelete, dbGet, dbGetRoot, dbUpdate, emptyTable, emptyWithKey, eval, getAction, getApplication, getContents, getContentsWithKey, getFactory, getId, getKey, getKeys, getPlugin, getTable, getTables, getWithKey, inDB, inTable, peerDeleted, process, removedFromTable, tableAdd, tableAdd, tableDelete, tableDelete`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### installed

    public boolean installed

### name

    public String name

Constructor Detail

### RegisterApp

    public RegisterApp()

### RegisterApp

    public RegisterApp(String name)

### RegisterApp

    public RegisterApp(String name,
                       boolean installed)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD